%define upstream_name    Math-GMP
%define upstream_version 2.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    High speed arbitrary size integer math
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::GMP) >= 1.80.0
BuildRequires: perl(AutoLoader)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-Alien-GMP
BuildRequires: perl-devel
BuildRequires: gmp-devel
BuildRequires: libgmp
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Math::GMP was designed to be a drop-in replacement both for
Math::BigInt and for regular integer arithmetic. Unlike
BigInt,  though,  Math::GMP  uses  the  GNU  gmp  library
for  all of its calculations, as opposed to straight Perl
functions. This can result in speed improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl -MAlien::GMP -e 1
# perldoc -l Alien::GMP
CFLAGS="$RPM_OPT_FLAGS" %__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 2.250.0-2.mga9
+ Revision: 1862075
- Rebuild for Perl 5.36

* Thu Mar 17 2022 tv <tv> 2.250.0-1.mga9
+ Revision: 1796502
- update to 2.25

* Mon Nov 22 2021 tv <tv> 2.240.0-1.mga9
+ Revision: 1758583
- update to 2.24

* Tue Nov 09 2021 tv <tv> 2.230.0-1.mga9
+ Revision: 1755145
- update to 2.23

* Mon Sep 27 2021 tv <tv> 2.220.0-1.mga9
+ Revision: 1746617
- update to 2.22

* Tue Sep 14 2021 tv <tv> 2.210.0-1.mga9
+ Revision: 1745427
- update to 2.21

* Mon May 24 2021 umeabot <umeabot> 2.200.0-4.mga9
+ Revision: 1726868
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.200.0-3.mga8
+ Revision: 1594914
- Rebuild for perl 5.32

* Fri Feb 21 2020 umeabot <umeabot> 2.200.0-2.mga8
+ Revision: 1547854
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 2.200.0-1.mga8
+ Revision: 1488488
- update to 2.20

* Fri Sep 21 2018 umeabot <umeabot> 2.190.0-5.mga8
+ Revision: 1293428
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.190.0-4.mga7
+ Revision: 1249526
- Rebuild for perl 5.28

* Mon Apr 16 2018 shlomif <shlomif> 2.190.0-3.mga7
+ Revision: 1219411
- rebuild
- add deps
- add deps
- add debugs
- add debugs
- fix build - add dep
- fix build - remove unnecessary stdin
+ kekepower <kekepower>
- Update to version 2.19

* Tue Dec 26 2017 shlomif <shlomif> 2.160.0-1.mga7
+ Revision: 1185273
- update to 2.16

* Tue Oct 03 2017 tv <tv> 2.150.0-3.mga7
+ Revision: 1165329
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.150.0-2.mga7
+ Revision: 1149850
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 2.150.0-1.mga7
+ Revision: 1128734
- update to 2.15

* Sat Jul 22 2017 neoclust <neoclust> 2.110.0-4.mga7
+ Revision: 1127487
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.110.0-3.mga6
+ Revision: 1029630
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.110.0-2.mga6
+ Revision: 957708
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 868503
- update to 2.11

* Thu Aug 13 2015 sander85 <sander85> 2.100.0-1.mga6
+ Revision: 864395
- update to 2.10

* Wed Jul 29 2015 sander85 <sander85> 2.90.0-1.mga6
+ Revision: 858891
- update to 2.09

* Fri Jun 26 2015 tv <tv> 2.70.0-7.mga6
+ Revision: 844980
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 2.70.0-6.mga6
+ Revision: 842038
- Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 2.70.0-5.mga5
+ Revision: 739186
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.70.0-4.mga5
+ Revision: 735647
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.70.0-3.mga5
+ Revision: 685361
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.70.0-2.mga5
+ Revision: 631445
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.70.0-1.mga5
+ Revision: 588485
- update to 2.07

* Sat Oct 19 2013 umeabot <umeabot> 2.60.0-5.mga4
+ Revision: 524418
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.60.0-4.mga4
+ Revision: 430877
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.60.0-3.mga3
+ Revision: 369594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 12 2011 sander85 <sander85> 2.60.0-2.mga3
+ Revision: 104784
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.60.0-1.mga1
+ Revision: 30810
- mageia rebuild
- imported package perl-Math-GMP


* Fri Sep 18 2009 Jérôme Quelin <jquelin@mandriva.org> 2.60.0-1mdv2010.0
+ Revision: 444248
- update to 2.06

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.50.0-1mdv2010.0
+ Revision: 407800
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdv2009.1
+ Revision: 292556
- drop x86_64-only patch, useless now
- update to new version 2.05

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.04-7mdv2009.0
+ Revision: 257815
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.04-6mdv2009.0
+ Revision: 245840
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.04-4mdv2008.1
+ Revision: 152126
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-3mdv2008.0
+ Revision: 86600
- rebuild


* Thu Apr 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.04-2mdk
- Apply patch to fix broken testsuite on 64-bit arches (CPAN RT#12751)

* Wed Feb 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.04-1mdk
- 2.04

* Thu Nov 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.03-2mdk
- Rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-1mdk
- New package

